Get Usage
const url = 'https://example.com/v1/settings/usage';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/settings/usage \ --header 'Authorization: Bearer <token>'A month’s answers, spend and tokens (this month by default, as YYYY-MM), by day, model and
person, and the storage the organisation’s datasets take. An admin sees the organisation’s;
anyone else their own runs’.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
object
E.g. 2026-11.
An admin sees the organisation’s usage; anyone else their own.
object
Answers given, from the cache too.
Of those, from the cache, for free.
USD.
Days with usage, in order.
object
Answers given, from the cache too.
Of those, from the cache, for free.
USD.
E.g. 2026-11-07, in UTC.
Most answers first.
object
Answers given, from the cache too.
Of those, from the cache, for free.
USD.
Most answers first; the organisation’s only.
object
Answers given, from the cache too.
Of those, from the cache, for free.
USD.
The organisation’s datasets, now.
Example
{ "scope": "organisation"}Validation Error
object
object
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}